------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>297
--/reloadlua Script\QiXi\QiXiMemory6.lua
--/chgmap 11851 43 43
--addScene
--addcustom
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(44,44)
CppScriptMgr:NpcCallOut("Orphee and his wife walked together in silence on the dark road, and finally saw the shimmering light of the real world!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("However, Eurydice`s wound still hurt a lot and she moaned. Orphee was worried and looked back, and then everything just vanished.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:AddSimplePlayer(1055784,41,49,"[God of Sun`s Child] \n    Orphee",0,0)
Player_1:SetZoomPercent(120)
local Player_2=CppScriptMgr:AddSimplePlayer(1062494,41,54,"[Orphee`s Beloved]\n    Eurydice",0,0)
Player_2:SetZoomPercent(120)
Player_1:SetCtrlMapView(1)
Player_1:RunTo(41,39)
Player_2:RunTo(41,44)
CppScriptMgr:WaitMilSec(1500)
Player_2:AddEffect("zf2-e233",33)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetAction(261)
Player_2:SetFrameInterval(10000)
Player_2:AddEffect("shuang_black",33)
Player_2:Say("Ah! My leg!",1000)
CppScriptMgr:NpcCallOut("Ah! My leg!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetHide(1)
local Player_4=CppScriptMgr:AddSimplePlayer(1055780,41,39,"[God of Sun`s Child] \n    Orphee",0,0)
Player_4:SetZoomPercent(120)
Player_4:SetAction(101)
Player_4:Say("What`s wring, my darling?",1000)
CppScriptMgr:NpcCallOut("What`s wring, my darling?",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1000)
local Effect_2=CppScriptMgr:AddEffect("poisonblast",41,34,33)
CppScriptMgr:WaitMilSec(1000)
local Player_3=CppScriptMgr:AddSimplePlayer(1062520,41,34,"[King of Hell]\n Hades",0,0)
Player_3:SetZoomPercent(150)
Player_4:SetHide(1)
Player_1:SetHide(0)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(101)
Player_3:Say("So sad... you failed!",1000)
CppScriptMgr:NpcCallOut("So sad... you failed!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc7135",150,430,"Hades",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("No! No! No! It`s not like this!",1000)
CppScriptMgr:NpcCallOut("So sad... you failed!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Orphee! Help me!",1000)
CppScriptMgr:NpcCallOut("Orphee! Help me!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetHide(1)
Player_4:SetHide(0)
Player_2:AddEffect("zf2-e236-Boos",33)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetHide(1)
Player_4:RunTo(41,43)
CppScriptMgr:WaitMilSec(1000)
Player_4:SetAction(170)
Player_4:Say("No! Eurydice!",1000)
CppScriptMgr:NpcCallOut("No! Eurydice!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetAction(101)
Player_3:Say("Accept it, young hero. You should leave now!",1000)
CppScriptMgr:NpcCallOut("Accept it, young hero. You should leave now!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc7135",150,430,"Hades",250,655)
CppScriptMgr:WaitMilSec(2500)
